# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.inline_response2001_array_closures import InlineResponse2001ArrayClosures  # noqa: F401,E501
from swagger_server import util


class InlineResponse2005(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, array_closures_points: List[InlineResponse2001ArrayClosures]=None):  # noqa: E501
        """InlineResponse2005 - a model defined in Swagger

        :param array_closures_points: The array_closures_points of this InlineResponse2005.  # noqa: E501
        :type array_closures_points: List[InlineResponse2001ArrayClosures]
        """
        self.swagger_types = {
            'array_closures_points': List[InlineResponse2001ArrayClosures]
        }

        self.attribute_map = {
            'array_closures_points': 'ArrayClosuresPoints'
        }
        self._array_closures_points = array_closures_points

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2005':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_5 of this InlineResponse2005.  # noqa: E501
        :rtype: InlineResponse2005
        """
        return util.deserialize_model(dikt, cls)

    @property
    def array_closures_points(self) -> List[InlineResponse2001ArrayClosures]:
        """Gets the array_closures_points of this InlineResponse2005.


        :return: The array_closures_points of this InlineResponse2005.
        :rtype: List[InlineResponse2001ArrayClosures]
        """
        return self._array_closures_points

    @array_closures_points.setter
    def array_closures_points(self, array_closures_points: List[InlineResponse2001ArrayClosures]):
        """Sets the array_closures_points of this InlineResponse2005.


        :param array_closures_points: The array_closures_points of this InlineResponse2005.
        :type array_closures_points: List[InlineResponse2001ArrayClosures]
        """

        self._array_closures_points = array_closures_points
